Bug 1956036 - java1.8 LUA script failed copy_jdk_configs.lua:215: bad argument #1 to 'gsub'
Summary: java1.8 LUA script failed copy_jdk_configs.lua:215: bad argument #1 to 'gsub'
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: rawhide
Hardware: aarch64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-02 09:20 UTC by customercare
Modified: 2021-05-11 23:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description customercare 2021-05-02 09:20:40 UTC
Description of problem:


Ausgeführtes Scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.292.b10-1.fc35.aarch64       1/1 
Fehler: Lua-Script fehlgeschlagen: /var/lib/rpm-state//copy_jdk_configs.lua:215: bad argument #1 to 'gsub' (string expected, got nil)

Error in PRETRANS scriptlet in rpm package java-1.8.0-openjdk-headless
  Ausgeführtes Scriptlet: selinux-policy-targeted-34.4-1.fc35.noarch                     1/1 
  Vorbereitung läuft    :                                                                1/1 
  Aktualisieren         : libgcc-11.1.1-1.fc35.aarch64
                   ...

Version-Release number of selected component (if applicable):


1.8.0.292.b10-1

Comment 1 Michal Jaegermann 2021-05-11 23:27:52 UTC
This happens at least also with x86_64 (it is likely an architecture independent) and it sounds like a duplicate of bug #1954998.  Am I correct?  It sounds that whatever else is using these lua scripts will be hit the same way.


Note You need to log in before you can comment on or make changes to this bug.